> ## Documentation Index
> Fetch the complete documentation index at: https://docs.miteos.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Issue Virtual Card



## OpenAPI

````yaml POST /commerce/cards/issue
openapi: 3.1.0
info:
  title: Miteos API
  description: >-
    Multi-agent command center with undetectable browsing, vertical superpowers,
    and persistent memory.
  version: 0.1.0
servers: []
security: []
tags:
  - name: health
    description: Health checks and readiness probes
  - name: auth
    description: Authentication and authorization
  - name: tasks
    description: Task submission and management
  - name: workspaces
    description: Workspace management
  - name: agents
    description: Agent control and monitoring
  - name: memory
    description: Agent memory system
  - name: integrations
    description: MCP Hub and service connections
  - name: commerce
    description: Purchasing agent and virtual cards
  - name: trading
    description: Trading agent operations
  - name: social
    description: Social media agent
  - name: billing
    description: Billing, credits, and subscriptions
  - name: teams
    description: Team workspaces and collaboration
  - name: agent-marketplace
    description: Agent-to-agent task marketplace
  - name: federation
    description: Federated agent protocol
  - name: collective-intelligence
    description: Skill metrics and evolution
  - name: enterprise-mesh
    description: Enterprise org and policy management
  - name: referral-network
    description: Agent referral links and tracking
  - name: white-label
    description: White-label deployments
  - name: replays
    description: Task replay capture, playback, and sharing
  - name: company
    description: Company-in-a-Box agent fleet deployment
  - name: api-keys
    description: Developer API keys and webhooks
  - name: brokers
    description: Live broker connections and order execution
  - name: deployments
    description: Deploy websites and apps to production
  - name: admin
    description: Platform administration and user management
  - name: websocket
    description: Real-time event streaming
paths:
  /commerce/cards/issue:
    post:
      tags:
        - commerce
      summary: Issue Card
      operationId: issue_card_commerce_cards_issue_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IssueCardRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    IssueCardRequest:
      properties:
        spending_limit:
          type: number
          exclusiveMinimum: 0
          title: Spending Limit
        task_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Task Id
        agent_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Agent Id
        description:
          type: string
          title: Description
          default: ''
      type: object
      required:
        - spending_limit
      title: IssueCardRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````